All threads / Loading ruby SDK from WSL2 into JetBrains RubyMine throws exception

Ask A Question

Notifications

You’re not receiving notifications from this thread.

Loading ruby SDK from WSL2 into JetBrains RubyMine throws exception

JDavid17 asked in Ruby

Hi, so i'm running WSL2, and install ruby with rbenv. Running which ruby yields the following:

/home/tensai/.rbenv/shims/ruby

So i put that in the Ruby or verion manager path in the JetBrains RubyMine IDE, then throws the following exception.

Could not get RubyGems environment for Remote: ruby-2.7.0-p0: ver.2.7.0p0 ( revision 647ee6f091) p0 (wsl://UBUNTU1804/home/tensai/.rbenv/shims/ruby)

Any idea why? and how to fix it?
Thanks in advance

Join the discussion

Want to stay up-to-date with Ruby on Rails?

Join 34,674+ developers who get early access to new tutorials, screencasts, articles, and more.

    We care about the protection of your data. Read our Privacy Policy.

    logo Created with Sketch.

    Ruby on Rails tutorials, guides, and screencasts for web developers learning Ruby, Rails, Javascript, Turbolinks, Stimulus.js, Vue.js, and more. Icons by Icons8

    © 2020 GoRails, LLC. All rights reserved.